Bug 498838 - (perl-Any-Moose) Review Request: perl-Any-Moose - Use Moose or Mouse automagically
Review Request: perl-Any-Moose - Use Moose or Mouse automagically
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Any-Moose
:
Depends On:
Blocks: 498564
  Show dependency treegraph
 
Reported: 2009-05-03 16:27 EDT by Chris Weyl
Modified: 2010-08-25 13:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 18:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-05-03 16:27:55 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Any-Moose.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Any-Moose-0.07-1.fc10.src.rpm

Description:
This module allows one to take advantage of the features Moose/Mouse
provides, while allowing one to let the program author determine if Moose
or Mouse should be used; when use'd, we load Mouse if Moose isn't already
loaded, otherwise we go with Moose.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1334395

Additional Comment:

This is a new dep of Data::Visitor 0.24

*rt-0.10
Comment 1 Iain Arnell 2009-05-03 23:27:25 EDT
+ source files match upstream.  
  d159b8b99180599ecc618078c93f3501da8c1469  Any-Moose-0.07.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text is included.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1334395

+ package installs properly.
+ rpmlint has no complaints:
  perl-Any-Moose.src: I: checking
  perl-Any-Moose.noarch: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
  perl(Any::Moose) = 0.07
  perl-Any-Moose = 0.07-1.fc12
=
  rpm -qp --requires perl-Any-Moose-0.07-1.fc12.noarch.rpm 
  perl(:MODULE_COMPAT_5.10.0)  
  perl(Mouse) >= 0.20
  perl(strict)  
  perl(warnings)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

+ %check is present and all tests pass.
  All tests successful.
  Files=13, Tests=49,  5 wallclock secs ( 0.09 usr  0.01 sys +  4.76 cusr  0.14 csys =  5.00 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

APPROVED.
Comment 2 Chris Weyl 2009-05-04 01:29:47 EDT
New Package CVS Request
=======================
Package Name: perl-Any-Moose
Short Description: Use Moose or Mouse automagically
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-04 16:40:15 EDT
cvs done.
Comment 4 Chris Weyl 2009-05-04 18:43:28 EDT
Thanks for the review! :-)
Comment 5 Mark Chappell 2010-08-24 06:31:38 EDT
Package Change Request
======================
Package Name: perl-MooseX-Types
New Branches: EL-6
Owners: tremble

cweyl has previously expressed that he is happy for others to request EPEL
branches
Comment 6 Kevin Fenzi 2010-08-24 19:49:21 EDT
There already seems to be a el6 branch here, and you own it. ;)
Comment 7 Mark Chappell 2010-08-25 03:18:36 EDT
Urgh, copy & paste error

https://admin.fedoraproject.org/pkgdb/acls/name/perl-Any-Moose

Package Change Request
======================
Package Name: perl-Any-Moose
New Branches: EL-6
Owners: tremble
Comment 8 Kevin Fenzi 2010-08-25 13:25:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.